Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/119
Addresses512
/64 networksPart of one
Network
2c19:dd:d9:dd:c25:c25:94de:600/119
First address
2c19:dd:d9:dd:c25:c25:94de:600
Last address
2c19:dd:d9:dd:c25:c25:94de:7ff
Addresses
512
/64 networks (LANs)
None: smaller than one /64 LAN
Full form
2c19:00dd:00d9:00dd:0c25:0c25:94de:0600
Type
Global unicast 2000::/3
Public internet addresses
Reverse DNS zones
6.0.e.d.4.9.5.2.c.0.5.2.c.0.d.d.0.0.9.d.0.0.d.d.0.0.9.1.c.2.ip6.arpa
7.0.e.d.4.9.5.2.c.0.5.2.c.0.d.d.0.0.9.d.0.0.d.d.0.0.9.1.c.2.ip6.arpa
/119 is not on a 4-bit boundary, so it takes 2 /120 zones.
Split into smaller subnets/127

2c19:dd:d9:dd:c25:c25:94de:600/119 makes 256 subnets of /127.

Subnets
#SubnetLast address
12c19:dd:d9:dd:c25:c25:94de:600/1272c19:dd:d9:dd:c25:c25:94de:601
22c19:dd:d9:dd:c25:c25:94de:602/1272c19:dd:d9:dd:c25:c25:94de:603
32c19:dd:d9:dd:c25:c25:94de:604/1272c19:dd:d9:dd:c25:c25:94de:605
42c19:dd:d9:dd:c25:c25:94de:606/1272c19:dd:d9:dd:c25:c25:94de:607
52c19:dd:d9:dd:c25:c25:94de:608/1272c19:dd:d9:dd:c25:c25:94de:609
62c19:dd:d9:dd:c25:c25:94de:60a/1272c19:dd:d9:dd:c25:c25:94de:60b
72c19:dd:d9:dd:c25:c25:94de:60c/1272c19:dd:d9:dd:c25:c25:94de:60d
82c19:dd:d9:dd:c25:c25:94de:60e/1272c19:dd:d9:dd:c25:c25:94de:60f
92c19:dd:d9:dd:c25:c25:94de:610/1272c19:dd:d9:dd:c25:c25:94de:611
102c19:dd:d9:dd:c25:c25:94de:612/1272c19:dd:d9:dd:c25:c25:94de:613
112c19:dd:d9:dd:c25:c25:94de:614/1272c19:dd:d9:dd:c25:c25:94de:615
122c19:dd:d9:dd:c25:c25:94de:616/1272c19:dd:d9:dd:c25:c25:94de:617
132c19:dd:d9:dd:c25:c25:94de:618/1272c19:dd:d9:dd:c25:c25:94de:619
142c19:dd:d9:dd:c25:c25:94de:61a/1272c19:dd:d9:dd:c25:c25:94de:61b
152c19:dd:d9:dd:c25:c25:94de:61c/1272c19:dd:d9:dd:c25:c25:94de:61d
162c19:dd:d9:dd:c25:c25:94de:61e/1272c19:dd:d9:dd:c25:c25:94de:61f
172c19:dd:d9:dd:c25:c25:94de:620/1272c19:dd:d9:dd:c25:c25:94de:621
182c19:dd:d9:dd:c25:c25:94de:622/1272c19:dd:d9:dd:c25:c25:94de:623
192c19:dd:d9:dd:c25:c25:94de:624/1272c19:dd:d9:dd:c25:c25:94de:625
202c19:dd:d9:dd:c25:c25:94de:626/1272c19:dd:d9:dd:c25:c25:94de:627
212c19:dd:d9:dd:c25:c25:94de:628/1272c19:dd:d9:dd:c25:c25:94de:629
222c19:dd:d9:dd:c25:c25:94de:62a/1272c19:dd:d9:dd:c25:c25:94de:62b
232c19:dd:d9:dd:c25:c25:94de:62c/1272c19:dd:d9:dd:c25:c25:94de:62d
242c19:dd:d9:dd:c25:c25:94de:62e/1272c19:dd:d9:dd:c25:c25:94de:62f
252c19:dd:d9:dd:c25:c25:94de:630/1272c19:dd:d9:dd:c25:c25:94de:631
262c19:dd:d9:dd:c25:c25:94de:632/1272c19:dd:d9:dd:c25:c25:94de:633
272c19:dd:d9:dd:c25:c25:94de:634/1272c19:dd:d9:dd:c25:c25:94de:635
282c19:dd:d9:dd:c25:c25:94de:636/1272c19:dd:d9:dd:c25:c25:94de:637
292c19:dd:d9:dd:c25:c25:94de:638/1272c19:dd:d9:dd:c25:c25:94de:639
302c19:dd:d9:dd:c25:c25:94de:63a/1272c19:dd:d9:dd:c25:c25:94de:63b
312c19:dd:d9:dd:c25:c25:94de:63c/1272c19:dd:d9:dd:c25:c25:94de:63d
322c19:dd:d9:dd:c25:c25:94de:63e/1272c19:dd:d9:dd:c25:c25:94de:63f
332c19:dd:d9:dd:c25:c25:94de:640/1272c19:dd:d9:dd:c25:c25:94de:641
342c19:dd:d9:dd:c25:c25:94de:642/1272c19:dd:d9:dd:c25:c25:94de:643
352c19:dd:d9:dd:c25:c25:94de:644/1272c19:dd:d9:dd:c25:c25:94de:645
362c19:dd:d9:dd:c25:c25:94de:646/1272c19:dd:d9:dd:c25:c25:94de:647
372c19:dd:d9:dd:c25:c25:94de:648/1272c19:dd:d9:dd:c25:c25:94de:649
382c19:dd:d9:dd:c25:c25:94de:64a/1272c19:dd:d9:dd:c25:c25:94de:64b
392c19:dd:d9:dd:c25:c25:94de:64c/1272c19:dd:d9:dd:c25:c25:94de:64d
402c19:dd:d9:dd:c25:c25:94de:64e/1272c19:dd:d9:dd:c25:c25:94de:64f
412c19:dd:d9:dd:c25:c25:94de:650/1272c19:dd:d9:dd:c25:c25:94de:651
422c19:dd:d9:dd:c25:c25:94de:652/1272c19:dd:d9:dd:c25:c25:94de:653
432c19:dd:d9:dd:c25:c25:94de:654/1272c19:dd:d9:dd:c25:c25:94de:655
442c19:dd:d9:dd:c25:c25:94de:656/1272c19:dd:d9:dd:c25:c25:94de:657
452c19:dd:d9:dd:c25:c25:94de:658/1272c19:dd:d9:dd:c25:c25:94de:659
462c19:dd:d9:dd:c25:c25:94de:65a/1272c19:dd:d9:dd:c25:c25:94de:65b
472c19:dd:d9:dd:c25:c25:94de:65c/1272c19:dd:d9:dd:c25:c25:94de:65d
482c19:dd:d9:dd:c25:c25:94de:65e/1272c19:dd:d9:dd:c25:c25:94de:65f
492c19:dd:d9:dd:c25:c25:94de:660/1272c19:dd:d9:dd:c25:c25:94de:661
502c19:dd:d9:dd:c25:c25:94de:662/1272c19:dd:d9:dd:c25:c25:94de:663
512c19:dd:d9:dd:c25:c25:94de:664/1272c19:dd:d9:dd:c25:c25:94de:665
522c19:dd:d9:dd:c25:c25:94de:666/1272c19:dd:d9:dd:c25:c25:94de:667
532c19:dd:d9:dd:c25:c25:94de:668/1272c19:dd:d9:dd:c25:c25:94de:669
542c19:dd:d9:dd:c25:c25:94de:66a/1272c19:dd:d9:dd:c25:c25:94de:66b
552c19:dd:d9:dd:c25:c25:94de:66c/1272c19:dd:d9:dd:c25:c25:94de:66d
562c19:dd:d9:dd:c25:c25:94de:66e/1272c19:dd:d9:dd:c25:c25:94de:66f
572c19:dd:d9:dd:c25:c25:94de:670/1272c19:dd:d9:dd:c25:c25:94de:671
582c19:dd:d9:dd:c25:c25:94de:672/1272c19:dd:d9:dd:c25:c25:94de:673
592c19:dd:d9:dd:c25:c25:94de:674/1272c19:dd:d9:dd:c25:c25:94de:675
602c19:dd:d9:dd:c25:c25:94de:676/1272c19:dd:d9:dd:c25:c25:94de:677
612c19:dd:d9:dd:c25:c25:94de:678/1272c19:dd:d9:dd:c25:c25:94de:679
622c19:dd:d9:dd:c25:c25:94de:67a/1272c19:dd:d9:dd:c25:c25:94de:67b
632c19:dd:d9:dd:c25:c25:94de:67c/1272c19:dd:d9:dd:c25:c25:94de:67d
642c19:dd:d9:dd:c25:c25:94de:67e/1272c19:dd:d9:dd:c25:c25:94de:67f
652c19:dd:d9:dd:c25:c25:94de:680/1272c19:dd:d9:dd:c25:c25:94de:681
662c19:dd:d9:dd:c25:c25:94de:682/1272c19:dd:d9:dd:c25:c25:94de:683
672c19:dd:d9:dd:c25:c25:94de:684/1272c19:dd:d9:dd:c25:c25:94de:685
682c19:dd:d9:dd:c25:c25:94de:686/1272c19:dd:d9:dd:c25:c25:94de:687
692c19:dd:d9:dd:c25:c25:94de:688/1272c19:dd:d9:dd:c25:c25:94de:689
702c19:dd:d9:dd:c25:c25:94de:68a/1272c19:dd:d9:dd:c25:c25:94de:68b
712c19:dd:d9:dd:c25:c25:94de:68c/1272c19:dd:d9:dd:c25:c25:94de:68d
722c19:dd:d9:dd:c25:c25:94de:68e/1272c19:dd:d9:dd:c25:c25:94de:68f
732c19:dd:d9:dd:c25:c25:94de:690/1272c19:dd:d9:dd:c25:c25:94de:691
742c19:dd:d9:dd:c25:c25:94de:692/1272c19:dd:d9:dd:c25:c25:94de:693
752c19:dd:d9:dd:c25:c25:94de:694/1272c19:dd:d9:dd:c25:c25:94de:695
762c19:dd:d9:dd:c25:c25:94de:696/1272c19:dd:d9:dd:c25:c25:94de:697
772c19:dd:d9:dd:c25:c25:94de:698/1272c19:dd:d9:dd:c25:c25:94de:699
782c19:dd:d9:dd:c25:c25:94de:69a/1272c19:dd:d9:dd:c25:c25:94de:69b
792c19:dd:d9:dd:c25:c25:94de:69c/1272c19:dd:d9:dd:c25:c25:94de:69d
802c19:dd:d9:dd:c25:c25:94de:69e/1272c19:dd:d9:dd:c25:c25:94de:69f
812c19:dd:d9:dd:c25:c25:94de:6a0/1272c19:dd:d9:dd:c25:c25:94de:6a1
822c19:dd:d9:dd:c25:c25:94de:6a2/1272c19:dd:d9:dd:c25:c25:94de:6a3
832c19:dd:d9:dd:c25:c25:94de:6a4/1272c19:dd:d9:dd:c25:c25:94de:6a5
842c19:dd:d9:dd:c25:c25:94de:6a6/1272c19:dd:d9:dd:c25:c25:94de:6a7
852c19:dd:d9:dd:c25:c25:94de:6a8/1272c19:dd:d9:dd:c25:c25:94de:6a9
862c19:dd:d9:dd:c25:c25:94de:6aa/1272c19:dd:d9:dd:c25:c25:94de:6ab
872c19:dd:d9:dd:c25:c25:94de:6ac/1272c19:dd:d9:dd:c25:c25:94de:6ad
882c19:dd:d9:dd:c25:c25:94de:6ae/1272c19:dd:d9:dd:c25:c25:94de:6af
892c19:dd:d9:dd:c25:c25:94de:6b0/1272c19:dd:d9:dd:c25:c25:94de:6b1
902c19:dd:d9:dd:c25:c25:94de:6b2/1272c19:dd:d9:dd:c25:c25:94de:6b3
912c19:dd:d9:dd:c25:c25:94de:6b4/1272c19:dd:d9:dd:c25:c25:94de:6b5
922c19:dd:d9:dd:c25:c25:94de:6b6/1272c19:dd:d9:dd:c25:c25:94de:6b7
932c19:dd:d9:dd:c25:c25:94de:6b8/1272c19:dd:d9:dd:c25:c25:94de:6b9
942c19:dd:d9:dd:c25:c25:94de:6ba/1272c19:dd:d9:dd:c25:c25:94de:6bb
952c19:dd:d9:dd:c25:c25:94de:6bc/1272c19:dd:d9:dd:c25:c25:94de:6bd
962c19:dd:d9:dd:c25:c25:94de:6be/1272c19:dd:d9:dd:c25:c25:94de:6bf
972c19:dd:d9:dd:c25:c25:94de:6c0/1272c19:dd:d9:dd:c25:c25:94de:6c1
982c19:dd:d9:dd:c25:c25:94de:6c2/1272c19:dd:d9:dd:c25:c25:94de:6c3
992c19:dd:d9:dd:c25:c25:94de:6c4/1272c19:dd:d9:dd:c25:c25:94de:6c5
1002c19:dd:d9:dd:c25:c25:94de:6c6/1272c19:dd:d9:dd:c25:c25:94de:6c7
1012c19:dd:d9:dd:c25:c25:94de:6c8/1272c19:dd:d9:dd:c25:c25:94de:6c9
1022c19:dd:d9:dd:c25:c25:94de:6ca/1272c19:dd:d9:dd:c25:c25:94de:6cb
1032c19:dd:d9:dd:c25:c25:94de:6cc/1272c19:dd:d9:dd:c25:c25:94de:6cd
1042c19:dd:d9:dd:c25:c25:94de:6ce/1272c19:dd:d9:dd:c25:c25:94de:6cf
1052c19:dd:d9:dd:c25:c25:94de:6d0/1272c19:dd:d9:dd:c25:c25:94de:6d1
1062c19:dd:d9:dd:c25:c25:94de:6d2/1272c19:dd:d9:dd:c25:c25:94de:6d3
1072c19:dd:d9:dd:c25:c25:94de:6d4/1272c19:dd:d9:dd:c25:c25:94de:6d5
1082c19:dd:d9:dd:c25:c25:94de:6d6/1272c19:dd:d9:dd:c25:c25:94de:6d7
1092c19:dd:d9:dd:c25:c25:94de:6d8/1272c19:dd:d9:dd:c25:c25:94de:6d9
1102c19:dd:d9:dd:c25:c25:94de:6da/1272c19:dd:d9:dd:c25:c25:94de:6db
1112c19:dd:d9:dd:c25:c25:94de:6dc/1272c19:dd:d9:dd:c25:c25:94de:6dd
1122c19:dd:d9:dd:c25:c25:94de:6de/1272c19:dd:d9:dd:c25:c25:94de:6df
1132c19:dd:d9:dd:c25:c25:94de:6e0/1272c19:dd:d9:dd:c25:c25:94de:6e1
1142c19:dd:d9:dd:c25:c25:94de:6e2/1272c19:dd:d9:dd:c25:c25:94de:6e3
1152c19:dd:d9:dd:c25:c25:94de:6e4/1272c19:dd:d9:dd:c25:c25:94de:6e5
1162c19:dd:d9:dd:c25:c25:94de:6e6/1272c19:dd:d9:dd:c25:c25:94de:6e7
1172c19:dd:d9:dd:c25:c25:94de:6e8/1272c19:dd:d9:dd:c25:c25:94de:6e9
1182c19:dd:d9:dd:c25:c25:94de:6ea/1272c19:dd:d9:dd:c25:c25:94de:6eb
1192c19:dd:d9:dd:c25:c25:94de:6ec/1272c19:dd:d9:dd:c25:c25:94de:6ed
1202c19:dd:d9:dd:c25:c25:94de:6ee/1272c19:dd:d9:dd:c25:c25:94de:6ef
1212c19:dd:d9:dd:c25:c25:94de:6f0/1272c19:dd:d9:dd:c25:c25:94de:6f1
1222c19:dd:d9:dd:c25:c25:94de:6f2/1272c19:dd:d9:dd:c25:c25:94de:6f3
1232c19:dd:d9:dd:c25:c25:94de:6f4/1272c19:dd:d9:dd:c25:c25:94de:6f5
1242c19:dd:d9:dd:c25:c25:94de:6f6/1272c19:dd:d9:dd:c25:c25:94de:6f7
1252c19:dd:d9:dd:c25:c25:94de:6f8/1272c19:dd:d9:dd:c25:c25:94de:6f9
1262c19:dd:d9:dd:c25:c25:94de:6fa/1272c19:dd:d9:dd:c25:c25:94de:6fb
1272c19:dd:d9:dd:c25:c25:94de:6fc/1272c19:dd:d9:dd:c25:c25:94de:6fd
1282c19:dd:d9:dd:c25:c25:94de:6fe/1272c19:dd:d9:dd:c25:c25:94de:6ff
1292c19:dd:d9:dd:c25:c25:94de:700/1272c19:dd:d9:dd:c25:c25:94de:701
1302c19:dd:d9:dd:c25:c25:94de:702/1272c19:dd:d9:dd:c25:c25:94de:703
1312c19:dd:d9:dd:c25:c25:94de:704/1272c19:dd:d9:dd:c25:c25:94de:705
1322c19:dd:d9:dd:c25:c25:94de:706/1272c19:dd:d9:dd:c25:c25:94de:707
1332c19:dd:d9:dd:c25:c25:94de:708/1272c19:dd:d9:dd:c25:c25:94de:709
1342c19:dd:d9:dd:c25:c25:94de:70a/1272c19:dd:d9:dd:c25:c25:94de:70b
1352c19:dd:d9:dd:c25:c25:94de:70c/1272c19:dd:d9:dd:c25:c25:94de:70d
1362c19:dd:d9:dd:c25:c25:94de:70e/1272c19:dd:d9:dd:c25:c25:94de:70f
1372c19:dd:d9:dd:c25:c25:94de:710/1272c19:dd:d9:dd:c25:c25:94de:711
1382c19:dd:d9:dd:c25:c25:94de:712/1272c19:dd:d9:dd:c25:c25:94de:713
1392c19:dd:d9:dd:c25:c25:94de:714/1272c19:dd:d9:dd:c25:c25:94de:715
1402c19:dd:d9:dd:c25:c25:94de:716/1272c19:dd:d9:dd:c25:c25:94de:717
1412c19:dd:d9:dd:c25:c25:94de:718/1272c19:dd:d9:dd:c25:c25:94de:719
1422c19:dd:d9:dd:c25:c25:94de:71a/1272c19:dd:d9:dd:c25:c25:94de:71b
1432c19:dd:d9:dd:c25:c25:94de:71c/1272c19:dd:d9:dd:c25:c25:94de:71d
1442c19:dd:d9:dd:c25:c25:94de:71e/1272c19:dd:d9:dd:c25:c25:94de:71f
1452c19:dd:d9:dd:c25:c25:94de:720/1272c19:dd:d9:dd:c25:c25:94de:721
1462c19:dd:d9:dd:c25:c25:94de:722/1272c19:dd:d9:dd:c25:c25:94de:723
1472c19:dd:d9:dd:c25:c25:94de:724/1272c19:dd:d9:dd:c25:c25:94de:725
1482c19:dd:d9:dd:c25:c25:94de:726/1272c19:dd:d9:dd:c25:c25:94de:727
1492c19:dd:d9:dd:c25:c25:94de:728/1272c19:dd:d9:dd:c25:c25:94de:729
1502c19:dd:d9:dd:c25:c25:94de:72a/1272c19:dd:d9:dd:c25:c25:94de:72b
1512c19:dd:d9:dd:c25:c25:94de:72c/1272c19:dd:d9:dd:c25:c25:94de:72d
1522c19:dd:d9:dd:c25:c25:94de:72e/1272c19:dd:d9:dd:c25:c25:94de:72f
1532c19:dd:d9:dd:c25:c25:94de:730/1272c19:dd:d9:dd:c25:c25:94de:731
1542c19:dd:d9:dd:c25:c25:94de:732/1272c19:dd:d9:dd:c25:c25:94de:733
1552c19:dd:d9:dd:c25:c25:94de:734/1272c19:dd:d9:dd:c25:c25:94de:735
1562c19:dd:d9:dd:c25:c25:94de:736/1272c19:dd:d9:dd:c25:c25:94de:737
1572c19:dd:d9:dd:c25:c25:94de:738/1272c19:dd:d9:dd:c25:c25:94de:739
1582c19:dd:d9:dd:c25:c25:94de:73a/1272c19:dd:d9:dd:c25:c25:94de:73b
1592c19:dd:d9:dd:c25:c25:94de:73c/1272c19:dd:d9:dd:c25:c25:94de:73d
1602c19:dd:d9:dd:c25:c25:94de:73e/1272c19:dd:d9:dd:c25:c25:94de:73f
1612c19:dd:d9:dd:c25:c25:94de:740/1272c19:dd:d9:dd:c25:c25:94de:741
1622c19:dd:d9:dd:c25:c25:94de:742/1272c19:dd:d9:dd:c25:c25:94de:743
1632c19:dd:d9:dd:c25:c25:94de:744/1272c19:dd:d9:dd:c25:c25:94de:745
1642c19:dd:d9:dd:c25:c25:94de:746/1272c19:dd:d9:dd:c25:c25:94de:747
1652c19:dd:d9:dd:c25:c25:94de:748/1272c19:dd:d9:dd:c25:c25:94de:749
1662c19:dd:d9:dd:c25:c25:94de:74a/1272c19:dd:d9:dd:c25:c25:94de:74b
1672c19:dd:d9:dd:c25:c25:94de:74c/1272c19:dd:d9:dd:c25:c25:94de:74d
1682c19:dd:d9:dd:c25:c25:94de:74e/1272c19:dd:d9:dd:c25:c25:94de:74f
1692c19:dd:d9:dd:c25:c25:94de:750/1272c19:dd:d9:dd:c25:c25:94de:751
1702c19:dd:d9:dd:c25:c25:94de:752/1272c19:dd:d9:dd:c25:c25:94de:753
1712c19:dd:d9:dd:c25:c25:94de:754/1272c19:dd:d9:dd:c25:c25:94de:755
1722c19:dd:d9:dd:c25:c25:94de:756/1272c19:dd:d9:dd:c25:c25:94de:757
1732c19:dd:d9:dd:c25:c25:94de:758/1272c19:dd:d9:dd:c25:c25:94de:759
1742c19:dd:d9:dd:c25:c25:94de:75a/1272c19:dd:d9:dd:c25:c25:94de:75b
1752c19:dd:d9:dd:c25:c25:94de:75c/1272c19:dd:d9:dd:c25:c25:94de:75d
1762c19:dd:d9:dd:c25:c25:94de:75e/1272c19:dd:d9:dd:c25:c25:94de:75f
1772c19:dd:d9:dd:c25:c25:94de:760/1272c19:dd:d9:dd:c25:c25:94de:761
1782c19:dd:d9:dd:c25:c25:94de:762/1272c19:dd:d9:dd:c25:c25:94de:763
1792c19:dd:d9:dd:c25:c25:94de:764/1272c19:dd:d9:dd:c25:c25:94de:765
1802c19:dd:d9:dd:c25:c25:94de:766/1272c19:dd:d9:dd:c25:c25:94de:767
1812c19:dd:d9:dd:c25:c25:94de:768/1272c19:dd:d9:dd:c25:c25:94de:769
1822c19:dd:d9:dd:c25:c25:94de:76a/1272c19:dd:d9:dd:c25:c25:94de:76b
1832c19:dd:d9:dd:c25:c25:94de:76c/1272c19:dd:d9:dd:c25:c25:94de:76d
1842c19:dd:d9:dd:c25:c25:94de:76e/1272c19:dd:d9:dd:c25:c25:94de:76f
1852c19:dd:d9:dd:c25:c25:94de:770/1272c19:dd:d9:dd:c25:c25:94de:771
1862c19:dd:d9:dd:c25:c25:94de:772/1272c19:dd:d9:dd:c25:c25:94de:773
1872c19:dd:d9:dd:c25:c25:94de:774/1272c19:dd:d9:dd:c25:c25:94de:775
1882c19:dd:d9:dd:c25:c25:94de:776/1272c19:dd:d9:dd:c25:c25:94de:777
1892c19:dd:d9:dd:c25:c25:94de:778/1272c19:dd:d9:dd:c25:c25:94de:779
1902c19:dd:d9:dd:c25:c25:94de:77a/1272c19:dd:d9:dd:c25:c25:94de:77b
1912c19:dd:d9:dd:c25:c25:94de:77c/1272c19:dd:d9:dd:c25:c25:94de:77d
1922c19:dd:d9:dd:c25:c25:94de:77e/1272c19:dd:d9:dd:c25:c25:94de:77f
1932c19:dd:d9:dd:c25:c25:94de:780/1272c19:dd:d9:dd:c25:c25:94de:781
1942c19:dd:d9:dd:c25:c25:94de:782/1272c19:dd:d9:dd:c25:c25:94de:783
1952c19:dd:d9:dd:c25:c25:94de:784/1272c19:dd:d9:dd:c25:c25:94de:785
1962c19:dd:d9:dd:c25:c25:94de:786/1272c19:dd:d9:dd:c25:c25:94de:787
1972c19:dd:d9:dd:c25:c25:94de:788/1272c19:dd:d9:dd:c25:c25:94de:789
1982c19:dd:d9:dd:c25:c25:94de:78a/1272c19:dd:d9:dd:c25:c25:94de:78b
1992c19:dd:d9:dd:c25:c25:94de:78c/1272c19:dd:d9:dd:c25:c25:94de:78d
2002c19:dd:d9:dd:c25:c25:94de:78e/1272c19:dd:d9:dd:c25:c25:94de:78f
2012c19:dd:d9:dd:c25:c25:94de:790/1272c19:dd:d9:dd:c25:c25:94de:791
2022c19:dd:d9:dd:c25:c25:94de:792/1272c19:dd:d9:dd:c25:c25:94de:793
2032c19:dd:d9:dd:c25:c25:94de:794/1272c19:dd:d9:dd:c25:c25:94de:795
2042c19:dd:d9:dd:c25:c25:94de:796/1272c19:dd:d9:dd:c25:c25:94de:797
2052c19:dd:d9:dd:c25:c25:94de:798/1272c19:dd:d9:dd:c25:c25:94de:799
2062c19:dd:d9:dd:c25:c25:94de:79a/1272c19:dd:d9:dd:c25:c25:94de:79b
2072c19:dd:d9:dd:c25:c25:94de:79c/1272c19:dd:d9:dd:c25:c25:94de:79d
2082c19:dd:d9:dd:c25:c25:94de:79e/1272c19:dd:d9:dd:c25:c25:94de:79f
2092c19:dd:d9:dd:c25:c25:94de:7a0/1272c19:dd:d9:dd:c25:c25:94de:7a1
2102c19:dd:d9:dd:c25:c25:94de:7a2/1272c19:dd:d9:dd:c25:c25:94de:7a3
2112c19:dd:d9:dd:c25:c25:94de:7a4/1272c19:dd:d9:dd:c25:c25:94de:7a5
2122c19:dd:d9:dd:c25:c25:94de:7a6/1272c19:dd:d9:dd:c25:c25:94de:7a7
2132c19:dd:d9:dd:c25:c25:94de:7a8/1272c19:dd:d9:dd:c25:c25:94de:7a9
2142c19:dd:d9:dd:c25:c25:94de:7aa/1272c19:dd:d9:dd:c25:c25:94de:7ab
2152c19:dd:d9:dd:c25:c25:94de:7ac/1272c19:dd:d9:dd:c25:c25:94de:7ad
2162c19:dd:d9:dd:c25:c25:94de:7ae/1272c19:dd:d9:dd:c25:c25:94de:7af
2172c19:dd:d9:dd:c25:c25:94de:7b0/1272c19:dd:d9:dd:c25:c25:94de:7b1
2182c19:dd:d9:dd:c25:c25:94de:7b2/1272c19:dd:d9:dd:c25:c25:94de:7b3
2192c19:dd:d9:dd:c25:c25:94de:7b4/1272c19:dd:d9:dd:c25:c25:94de:7b5
2202c19:dd:d9:dd:c25:c25:94de:7b6/1272c19:dd:d9:dd:c25:c25:94de:7b7
2212c19:dd:d9:dd:c25:c25:94de:7b8/1272c19:dd:d9:dd:c25:c25:94de:7b9
2222c19:dd:d9:dd:c25:c25:94de:7ba/1272c19:dd:d9:dd:c25:c25:94de:7bb
2232c19:dd:d9:dd:c25:c25:94de:7bc/1272c19:dd:d9:dd:c25:c25:94de:7bd
2242c19:dd:d9:dd:c25:c25:94de:7be/1272c19:dd:d9:dd:c25:c25:94de:7bf
2252c19:dd:d9:dd:c25:c25:94de:7c0/1272c19:dd:d9:dd:c25:c25:94de:7c1
2262c19:dd:d9:dd:c25:c25:94de:7c2/1272c19:dd:d9:dd:c25:c25:94de:7c3
2272c19:dd:d9:dd:c25:c25:94de:7c4/1272c19:dd:d9:dd:c25:c25:94de:7c5
2282c19:dd:d9:dd:c25:c25:94de:7c6/1272c19:dd:d9:dd:c25:c25:94de:7c7
2292c19:dd:d9:dd:c25:c25:94de:7c8/1272c19:dd:d9:dd:c25:c25:94de:7c9
2302c19:dd:d9:dd:c25:c25:94de:7ca/1272c19:dd:d9:dd:c25:c25:94de:7cb
2312c19:dd:d9:dd:c25:c25:94de:7cc/1272c19:dd:d9:dd:c25:c25:94de:7cd
2322c19:dd:d9:dd:c25:c25:94de:7ce/1272c19:dd:d9:dd:c25:c25:94de:7cf
2332c19:dd:d9:dd:c25:c25:94de:7d0/1272c19:dd:d9:dd:c25:c25:94de:7d1
2342c19:dd:d9:dd:c25:c25:94de:7d2/1272c19:dd:d9:dd:c25:c25:94de:7d3
2352c19:dd:d9:dd:c25:c25:94de:7d4/1272c19:dd:d9:dd:c25:c25:94de:7d5
2362c19:dd:d9:dd:c25:c25:94de:7d6/1272c19:dd:d9:dd:c25:c25:94de:7d7
2372c19:dd:d9:dd:c25:c25:94de:7d8/1272c19:dd:d9:dd:c25:c25:94de:7d9
2382c19:dd:d9:dd:c25:c25:94de:7da/1272c19:dd:d9:dd:c25:c25:94de:7db
2392c19:dd:d9:dd:c25:c25:94de:7dc/1272c19:dd:d9:dd:c25:c25:94de:7dd
2402c19:dd:d9:dd:c25:c25:94de:7de/1272c19:dd:d9:dd:c25:c25:94de:7df
2412c19:dd:d9:dd:c25:c25:94de:7e0/1272c19:dd:d9:dd:c25:c25:94de:7e1
2422c19:dd:d9:dd:c25:c25:94de:7e2/1272c19:dd:d9:dd:c25:c25:94de:7e3
2432c19:dd:d9:dd:c25:c25:94de:7e4/1272c19:dd:d9:dd:c25:c25:94de:7e5
2442c19:dd:d9:dd:c25:c25:94de:7e6/1272c19:dd:d9:dd:c25:c25:94de:7e7
2452c19:dd:d9:dd:c25:c25:94de:7e8/1272c19:dd:d9:dd:c25:c25:94de:7e9
2462c19:dd:d9:dd:c25:c25:94de:7ea/1272c19:dd:d9:dd:c25:c25:94de:7eb
2472c19:dd:d9:dd:c25:c25:94de:7ec/1272c19:dd:d9:dd:c25:c25:94de:7ed
2482c19:dd:d9:dd:c25:c25:94de:7ee/1272c19:dd:d9:dd:c25:c25:94de:7ef
2492c19:dd:d9:dd:c25:c25:94de:7f0/1272c19:dd:d9:dd:c25:c25:94de:7f1
2502c19:dd:d9:dd:c25:c25:94de:7f2/1272c19:dd:d9:dd:c25:c25:94de:7f3
2512c19:dd:d9:dd:c25:c25:94de:7f4/1272c19:dd:d9:dd:c25:c25:94de:7f5
2522c19:dd:d9:dd:c25:c25:94de:7f6/1272c19:dd:d9:dd:c25:c25:94de:7f7
2532c19:dd:d9:dd:c25:c25:94de:7f8/1272c19:dd:d9:dd:c25:c25:94de:7f9
2542c19:dd:d9:dd:c25:c25:94de:7fa/1272c19:dd:d9:dd:c25:c25:94de:7fb
2552c19:dd:d9:dd:c25:c25:94de:7fc/1272c19:dd:d9:dd:c25:c25:94de:7fd
2562c19:dd:d9:dd:c25:c25:94de:7fe/1272c19:dd:d9:dd:c25:c25:94de:7ff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses